% Nacitanie realnych signalov z 5 zariadeni
% Skript nacita pomocou funkcie edfread realne signaly do Matlabu, 
% pre vykreslenie danych signalov je potrebne nastavit premennu vykreslenie na 1
% Autor: Martina Babicova
vykreslenie = 0;
%% Pristroj Faros
[hlavickaFaros1, zaznamFaros1] = edfread('09-36-13.EDF'); %1.meranie 
[hlavickaFaros2, zaznamFaros2] = edfread('09-45-19.EDF'); %2.meranie 
[hlavickaFaros3, zaznamFaros3] = edfread('14-30-05.EDF'); %3.meraie
%% Pristroj BiosignalPlux
[hlavickaBiosignalPlux1, zaznamBiosignalPlux1] = edfread('ECG_SNR.edf'); %1.meranie
[hlavickaBiosignalPlux2, zaznamBiosignalPlux2] = edfread('ECG_SNR_2.edf'); %2.meranie
%% Pristroj CorScience
[hlavickaCorScience1, zaznamCorScience1] = edfread('recording.edf'); %1.meranie
[hlavickaCorScience2, zaznamCorScience2] = edfread('recording2.edf');%2.meranie
%% Pristroj Cardiosignal
% zaznam_Holtermedical vo formate csv bol nacitany pomocou IMPORT v zalozke HOME,
% nasledne  bol vybrany signal prevedeny z tabulky na premennu double 
zaznamHoltermedical = Holtermedical.ch_1(1:156000,1)';
%% Vyber urciteho useku signalu z povodnych nasnimanych (zo 6 min je vybrany meniaci sa usek 3,3 min od 80 do 280 sekund zaznamu)--- 1.meranie
C1 = zaznamCorScience1(1,40001:140000);         % zariadnie CorScience 1.meranie
F1 = zaznamFaros1(2,80001:280000);              % zariadnie Faros 1.meranie
B1= zaznamBiosignalPlux1(1,240001:840000);      % zariadenie BiosignalPlux 1.meranie
% osi X pre vyreslenie
x1= 1:length(F1(1,:));
x2= 1:length(B1(1,:));
x3 = 1:length(C1(1,:));
% vykreslenie usekov signalov
if vykreslenie ==   1
    figure();subplot 311;plot(x3/500,C1*10^3); title('Zariadenie CorScience'); xlabel('t[s]', 'FontSize', 14); ylabel('U[\muV]', 'FontSize', 14);
    subplot 312; plot(x1/1000,F1);title('Zariadenie Faros 360°');xlabel('t[s]', 'FontSize', 14);  ylabel('U[\muV]', 'FontSize', 14);
    subplot 313; plot(x2/3000,B1*10^4);title('Zariadenie BiosignalPlux');xlabel('t[s]', 'FontSize', 14);  ylabel('U[\muV]', 'FontSize', 14);
end
%% Vyber urciteho useku signalu z povodnych nasnimanych (z 3,93 min je vybrany meniaci sa usek 2,5 min od 80 do 230 sekund zaznamu)--- 2.meranie
C2 = zaznamCorScience2(1,50001:115000);         % zariadnie CorScience 2.meranie
F2 = zaznamFaros2(2, 100001:230000);             % zariadnie Faros 2.meranie
B2= zaznamBiosignalPlux2(1,300001:690000);       % zariadenie BiosignalPlux 2.meranie
% osi X pre vykreslenie
x4= 1:length(F2(1,:));
x5= 1:length(B2(1,:));
x6 = 1:length(C2(1,:));
% vykreslenie usekov signalov
if vykreslenie == 1
    figure();subplot 311;plot(x6/500,C2*10^3); title('Zariadenie CorScience'); xlabel('t[s]', 'FontSize', 14); ylabel('U[\muV]', 'FontSize', 14);
    subplot 312; plot(x4/1000,F2);title('Zariadenie Faros 360°');xlabel('t[s]', 'FontSize', 14);  ylabel('U[\muV]', 'FontSize', 14);
    subplot 313; plot(x5/3000,B2*10^4);title('Zariadenie BiosignalPlux');xlabel('t[s]', 'FontSize', 14);  ylabel('U[\muV]', 'FontSize', 14);set(gca, 'FontSize', 12);
end
%% Vyber urciteho useku signalu z povodnych nasnimanych (z 5.2 min je vybrany meniaci sa usek 5,15 min od 1 do 309 sekund zaznamu)--- 3.meranie
H = zaznamHoltermedical(1, 501:155500);    % zariadenie Holtermedical 3.meranie
F3 = zaznamFaros3(1, 501:155500);          % zariadenie Faros 3.meranie
% vykreslenie usekov signalov
x7 = 1:length(H);
x8 = 1:length(F3);
if vykreslenie == 1
    figure();subplot 211;plot(x7/500,H*10^6); title('Zariadenie Holtermedical'); xlabel('t[s]', 'FontSize', 14); ylabel('U[\muV]', 'FontSize', 14);
    subplot 212; plot(x8/500,F3);title('Zariadenie Faros 180°');xlabel('t[s]', 'FontSize', 14);  ylabel('U[\muV]', 'FontSize', 14); set(gca, 'FontSize', 12);
end